Bug 3711 - runtest.sh doesn't work on solaris
runtest.sh doesn't work on solaris
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.22
All Solaris
: P3 minor
: 3.0.23
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 01:06 UTC by Leonid Kabanov
Modified: 2006-05-19 09:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Kabanov 2006-04-21 01:06:39 UTC
This bug similar to #3329. I have a problem running tests on solaris 10 using samba 3.0.22. I checked SAMBA_3_0 branch and found that runtests.sh is now named selftest.sh but it inherited at least 2 bugs from its ancestor:

--- selftest.sh 2006-04-21 13:10:51.599041750 +0800
+++ selftest.sh.fixed   2006-04-21 13:44:32.505340500 +0800
@@ -15,7 +15,7 @@
 mkdir -p $PREFIX || exit $?
 OLD_PWD=`pwd`
 cd $PREFIX || exit $?
-export PREFIX_ABS=`pwd`
+PREFIX_ABS=`pwd`
 cd $OLD_PWD

 if [ -z "$TORTURE_MAXTIME" ]; then
@@ -29,7 +29,7 @@

 SERVER=localhost2
 SERVER_IP=127.0.0.2
-USERNAME=`whoami`
+USERNAME=`PATH=/usr/ucb:$PATH whoami`
 PASSWORD=test

 SRCDIR=`pwd`

First, this syntax confeses sh. PREFIX_ABS is still exported latter. 
Second, whoami on solaris is in /usr/ucb dir and this dir not in the PATH by default. This should work on any sh-like shell.
Comment 1 Gerald (Jerry) Carter 2006-04-21 06:37:20 UTC
All the 'make test' code in 3.0.22 has been replaced in 3.0.23.
Comment 2 Leonid Kabanov 2006-04-23 23:34:19 UTC
I just said that new code already have some "solaris" bugs. I don't want fix this bugs again on update.
Comment 3 Gerald (Jerry) Carter 2006-04-24 02:45:35 UTC
Sorry.  Read the original report too quickly.  Thanks for following up.
Comment 4 Gerald (Jerry) Carter 2006-05-19 09:45:14 UTC
applied.